Subject: Re: bug#31904: scatch/ns-drawing

From: Alan Third <[email-masked]>
Date: Sun, 26 Aug 2018 14:02:49 +0100

Sorry, I thought I’d already replied to this.

On Sun, Aug 19, 2018 at 04:51:36PM -0700, [email-masked] wrote:
> 
> Another interesting thing:
> 
> * The problem does NOT occur when changing the size of the font.
> 
> * If I change the font (to Monaco), the screen blanks, but
>   immediately running a command to change the font size “fixes” it.
> 
> Seems that the font-change isn’t triggering a “repaint the whole
> thing”, rather, just repaint the line containing the pointer.

Yes, that sounds right. Chances are the line with the cursor on it
redraws because the cursor is drawn as a separate action.

Probably the font change needs to mark the frame as garbaged so it’s
redrawn completely, but that’s not happening. Unfortunately I don’t
know where that should be done. I can’t see anywhere obvious in the NS
code. I’ll keep looking.
-- 
Alan Third